ResultTransformer (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.transform
Interface ResultTransformer

All Superinterfaces:
  Serializable

All Known Subinterfaces:
  TupleSubsetResultTransformer

All Known Implementing Classes:
  AbstractEntityManagerImpl.TupleBuilderTransformer, AliasedTupleSubsetResultTransformer, AliasToBeanConstructorResultTransformer, AliasToBeanResultTransformer, AliasToEntityMapResultTransformer, BasicTransformerAdapter, CacheableResultTransformer, DistinctResultTransformer, DistinctRootEntityResultTransformer, PassThroughResultTransformer, RootEntityResultTransformer, ToListResultTransformer

    public interface ResultTransformer

extends Serializable

Implementors define a strategy for transforming query results into the actual application-visible query result list.

See Also:
  `Criteria.setResultTransformer(ResultTransformer)`, `Query.setResultTransformer(ResultTransformer)`

Method Summary
`List` | `transformList(List collection)` Here we have an opportunity to perform transformation on the query result as a whole.
`Object` | `transformTuple(Object[] tuple, String[] aliases)` Tuples are the elements making up each "row" of the query result.

Method Detail

### transformTuple

    Object transformTuple(Object[] tuple,
                          String[] aliases)

  Tuples are the elements making up each "row" of the query result. The contract here is to transform these elements into the final row.

  Parameters:
    `tuple` - The result elements
    `aliases` - The result aliases ("parallel" array to tuple)
  Returns:
    The transformed row.

### transformList

    List transformList(List collection)

  Here we have an opportunity to perform transformation on the query result as a whole. This might be useful to convert from one collection type to another or to remove duplicates from the result, etc.

  Parameters:
    `collection` - The result.
  Returns:
    The transformed result.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.